Package org.apache.storm.kafka.spout

## Class KafkaSpoutRetryExponentialBackoff.TimeInterval

- java.lang.Object
- - org.apache.storm.kafka.spout.KafkaSpoutRetryExponentialBackoff.TimeInterval

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    KafkaSpoutRetryExponentialBackoff

      public static class KafkaSpoutRetryExponentialBackoff.TimeInterval
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeInterval​(long length, TimeUnit timeUnit)` | Creates a new TimeInterval.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `lengthNanos()` |
    `static KafkaSpoutRetryExponentialBackoff.TimeInterval` | `microSeconds​(long length)` |
    `static KafkaSpoutRetryExponentialBackoff.TimeInterval` | `milliSeconds​(long length)` |
    `static KafkaSpoutRetryExponentialBackoff.TimeInterval` | `seconds​(long length)` |
    `TimeUnit` | `timeUnit()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeInterval

          public TimeInterval​(long length,
                              TimeUnit timeUnit)

      Creates a new TimeInterval.
      Parameters:
        `length` - length of the time interval in the units specified by `TimeUnit`
        `timeUnit` - unit used to specify a time interval on which to specify a time unit

  - ### Method Detail

    - #### seconds

          public static KafkaSpoutRetryExponentialBackoff.TimeInterval seconds​(long length)

    - #### milliSeconds

          public static KafkaSpoutRetryExponentialBackoff.TimeInterval milliSeconds​(long length)

    - #### microSeconds

          public static KafkaSpoutRetryExponentialBackoff.TimeInterval microSeconds​(long length)

    - #### lengthNanos

          public long lengthNanos()

    - #### timeUnit

          public TimeUnit timeUnit()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`